AOZ Studio Beta - Bug #705

Circles draw too small. Circles off-center (because they're too small) Straight Lines are diagonal.
Lines drawn are too thick.

03/27/2021 03:58 PM - Brian Flanagan

Status: Closed Start date: 03/27/2021
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 8:00 hours

Target version:
Affected version: 1.0.0 (B6a)

Description

These used to be mostly working. Now they're really messed up.
Tested in 1.0.0 (B6a). These problems exist in BOTH manifests.

1. Straight lines are drawing diagonally.

2. Circles are drawn off center... probably because they're too small by 1px in both X and Y directions.
3. Boxes and circles with the same radius are drawn different sizes.

4. Lines are drawn too thick. (This has always been a problem.)

Plot seems to be the one drawing command that is working properly.
Example:

#manifest: "amiga"

#displayWidth: 352

#displayHeight: 288

Screen Open 0,352,288,32,Lowres
Screen Scale 1.4,1.4

If Manifest$="amiga"

Palette 0,$F00,$0F0,$00F, SFF0, SOFF, SFOF, SFFF
Else

Palette 0,S$FF0000, SOO0FF00,$0000FF, SFFFF00, SOOFFFF, SFFOOFF, SFFFFFF
End If

Flash Off : Curs Off : Cls O

For R=1 To 10 ' radius

X=(R-1) *22+R*2 ' horizontal center of box / circle

Y=23 ' vertical center of box / circle

Ink 1

Circle X,Y,R // Red circle should be same size as box.

// Upper left corner of circle is correct, but lower right is not.
Ink 7 : Draw X-R,Y To X+R,Y : Draw X,Y-R To X,Y+R // White lines should be straight!

Ink 0 : Plot X,Y // Draw Black dot at center of circle
Ink 2 : Box X-R,Y-R To X+R,Y+R // Green box

Next R

Wait Key

Switch the manifest tag from "amiga" to "aoz".

You'll see that the problems exist in both manifests.

History

#1 - 03/29/2021 01:59 PM - Brian Flanagan

- Subject changed from Drawing commands are all screwed up. to Circles draw too small. Circles off-center (because they're too small) Straight
Lines are diagonal. Lines drawn are too thick.
#2 - 03/31/2021 02:11 PM - Francois Lionet

Fixed. | removed all the patches that were put here and there, some had no sense like changing the CALL of the graphical instructions in the .aoz
code whereas it should have been done in rscreen.js...

#3 - 03/31/2021 02:11 PM - Francois Lionet

- Status changed from New to Resolved

#4 - 04/14/2021 01:39 PM - Brian Flanagan

- Status changed from Resolved to Closed

Corrected in 1.0.0 (B7).
